Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Microscopic_Traffic_Simulator.Converters.FromBoolToStar Class Reference

Converter from bool status to empty string or string "*". More...

Inheritance diagram for Microscopic_Traffic_Simulator.Converters.FromBoolToStar:

## Public Member Functions
object | Convert (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Convert bool status to string or string "*". More...
object | ConvertBack (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Convert empty string or string "*" to bool status. More...
object | Convert (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Convert bool status to string or string "*". More...
object | ConvertBack (object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
| Convert empty string or string "*" to bool status. More...

## Detailed Description

Converter from bool status to empty string or string "*".

Definition at line 9 of file FromBoolToStar.cs.

## Member Function Documentation

object Microscopic_Traffic_Simulator.Converters.FromBoolToStar.Convert | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Convert bool status to string or string "*".

Parameters

  value | Boolean status.
  targetType | Target type which is string.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  Empty string if boolean status is true, "*" string if it is false.

Definition at line 19 of file FromBoolToStar.cs.

object Microscopic_Traffic_Simulator.Converters.FromBoolToStar.Convert | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Convert bool status to string or string "*".

Parameters

  value | Boolean status.
  targetType | Target type which is string.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  Empty string if boolean status is true, "*" string if it is false.

Definition at line 19 of file FromBoolToStar.cs.

object Microscopic_Traffic_Simulator.Converters.FromBoolToStar.ConvertBack | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Convert empty string or string "*" to bool status.

Parameters

  value | Empoty string or string "*".
  targetType | Target type which is bool.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  UICulture string.

Definition at line 36 of file FromBoolToStar.cs.

object Microscopic_Traffic_Simulator.Converters.FromBoolToStar.ConvertBack | ( | object | value,
|  | Type | targetType,
|  | object | parameter,
|  | System.Globalization.CultureInfo | culture
| ) |  |

Convert empty string or string "*" to bool status.

Parameters

  value | Empoty string or string "*".
  targetType | Target type which is bool.
  parameter | Parameter defined in UI. Not used.
  culture | Current culture info.

Returns
  UICulture string.

Definition at line 36 of file FromBoolToStar.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/Converters/FromBoolToStar.cs